# Class ChartConfig

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents the configuration settings for a chart, defining its visual and behavioral properties.

    public class ChartConfig

Inheritance
  object
  ChartConfig

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AxesConfig

    public List<AxisConfig>? AxesConfig { get; set; }

#### Property Value

List<AxisConfig>

### BaseConfig

    public ChartBaseConfig? BaseConfig { get; set; }

#### Property Value

ChartBaseConfig

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### SeriesConfig

    public List<SeriesConfigBase>? SeriesConfig { get; set; }

#### Property Value

List<SeriesConfigBase>